Page 3 of 4 FirstFirst 1234 LastLast
Results 21 to 30 of 31

Thread: Bug Fix for Cordova 1.5 (PhoneGap)

    Success! Looks like we've fixed this one. According to our records the fix was applied for TOUCH-2697 in a recent build.
  1. #21
    Sencha User
    Join Date
    Mar 2010
    Location
    Seattle, WA
    Posts
    137
    Vote Rating
    1
      0  

    Default

    Quote Originally Posted by nora.olsen77 View Post
    Have you guys tested with the default generated app with the appLoadingIndicator and microloader?
    Im having issues with this as well now. Looking into it.

  2. #22
    Sencha User
    Join Date
    Mar 2012
    Posts
    17
    Vote Rating
    0
      0  

    Default

    PhoneGap just updated to 1.6.1. Any ETA on the new Sencha touch supporting the cordova versions of phonegap? Thanx!

  3. #23
    Sencha User
    Join Date
    Apr 2012
    Posts
    29
    Vote Rating
    1
      0  

    Default

    I am also very interested to get ST 2.0.1 working with Cordova 1.6.1.

    In fact, I can't get ST 2.0.1RC with PhoneGap 1.4.1 (before the namespace change) too.

  4. #24
    Sencha User realjax's Avatar
    Join Date
    Aug 2009
    Location
    Netherlands
    Posts
    412
    Vote Rating
    8
      0  

    Default

    Come on guys..

    read this?
    Quote Originally Posted by realjax View Post
    If you want to make things work with Cordova, simply create a production (or testing) build with the Sencha SDK tool.
    twitter: @realjax

  5. #25
    Sencha User
    Join Date
    Apr 2012
    Posts
    29
    Vote Rating
    1
      0  

    Default

    I am trying to build a native Android app.

  6. #26
    Sencha User realjax's Avatar
    Join Date
    Aug 2009
    Location
    Netherlands
    Posts
    412
    Vote Rating
    8
      0  

    Default

    I am succesfully building native android apps with Cordova (1.5 and 1.6) and Sencha.
    But if you prefer to not listen, then fine.
    twitter: @realjax

  7. #27
    Sencha User
    Join Date
    Apr 2012
    Posts
    29
    Vote Rating
    1
      0  

    Default

    Quote Originally Posted by realjax View Post
    I am succesfully building native android apps with Cordova (1.5 and 1.6) and Sencha.
    But if you prefer to not listen, then fine.
    If you manage to build using Cordova 1.6 and Sencha Touch 2.0.1 RC, can you then share how you manage to get it working with native Android App?

  8. #28
    Sencha User realjax's Avatar
    Join Date
    Aug 2009
    Location
    Netherlands
    Posts
    412
    Vote Rating
    8
      0  

    Default

    I've said it left, right and center on this forum before.. but it seems everyone is convinced it's a namespace problem where it really is not.

    so listen very carefully, I shall say this only once (more)..

    Sencha's 2.0x class loading system fails with

    - Cordova and phonegap
    - on Android API 11 and up (possibly even on API 10).

    Make sure you do not use your Sencha app on those platforms without creating a proper build first.
    Create a production or package build of your Sencha app and use that as the asset of your phonegap project.
    twitter: @realjax

  9. #29
    Sencha User
    Join Date
    Apr 2012
    Posts
    29
    Vote Rating
    1
      0  

    Default

    Quote Originally Posted by realjax View Post

    Create a production or package build of your Sencha app and use that as the asset of your phonegap project.
    Do you mean an Android project with PhoneGap such as one created by Eclipse?

    Code:
     # sencha app build package
    , and then copying them to the asset directory?

  10. #30
    Sencha User realjax's Avatar
    Join Date
    Aug 2009
    Location
    Netherlands
    Posts
    412
    Vote Rating
    8
      0  

    Default

    yes, toss it in the asset/www folder.
    twitter: @realjax

Page 3 of 4 FirstFirst 1234 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •